
a{cursor:pointer;text-decoration:none;color:#18a3fa}
a._disabled{color:#18a3fa!important}
a:hover{color:#0887d7}
a:active,a:focus{color:#0573b8}
a.underline,a:hover{text-decoration:underline}
a._color-white{color:#fff}
a._color-white:active,a._color-white:focus,a._color-white:hover{color:#fff;text-decoration:none}
a._color-black{color:#161616}
a._color-black:active,a._color-black:focus,a._color-black:hover{color:#161616;text-decoration:none}
a._color-red{color:#fe315d}
a._color-red:hover{color:#d1173f}
a._color-red:active,a._color-red:focus{color:#b20127}
a._color-gray{color:#919191}
a._external,a._external:after{display:inline-block}

:root{--wt-color-white:#fff;--wt-color-white-60:hsla(0,0%,100%,0.6);--wt-color-white-30:hsla(0,0%,100%,0.3);--wt-color-white-20:hsla(0,0%,100%,0.2);--wt-color-white-10:hsla(0,0%,100%,0.1);--wt-color-white-5:hsla(0,0%,100%,0.05);--wt-color-dark:#27282c;--wt-color-dark-70:rgba(39,40,44,0.7);--wt-color-dark-40:rgba(39,40,44,0.4);--wt-color-dark-20:rgba(39,40,44,0.2);--wt-color-dark-5:rgba(39,40,44,0.05);--wt-color-grey:#3c3d40;--wt-color-grey-light:#f4f4f4;--wt-color-grey-dark:#323236;--wt-color-primary-light-theme:#167dff;--wt-color-primary-light-theme-80:rgba(22,125,255,0.8);--wt-color-primary-light-theme-20:rgba(22,125,255,0.2);--wt-color-primary-dark-theme:#4ca6ff;--wt-color-primary-dark-theme-80:rgba(76,166,255,0.8);--wt-color-primary-dark-theme-20:rgba(76,166,255,0.2);--wt-color-error:#ef341e;--wt-color-success:#4dbb5f;--wt-color-warning:#f3c033}
:root{--wt-font-family-gotham:"Gotham SSm A","Gotham SSm B",system-ui,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen,Ubuntu,Cantarell,"Droid Sans","Helvetica Neue",Arial,sans-serif;--wt-font-family-system:system-ui,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen,Ubuntu,Cantarell,"Droid Sans","Helvetica Neue",Arial,sans-serif;--wt-font-family-mono:SFMono-Regular,Consolas,"Liberation Mono",Menlo,Courier,monospace;--wt-font-weight-black:900;--wt-font-weight-bold:700;--wt-font-weight-light:300}


body,html{min-width:1000px!important;height: 100%;}
body.body-adaptive{min-width:320px!important}
.wt-container{position:relative}
.article-content ul.jb-carousel__dots-list{padding:0;margin:0}
.article-content ul.jb-carousel__dots-list>li{padding:0;margin-bottom:0}
.article-content ul.jb-carousel__dots-list>li:before{display:none}
.reset-button{display:inline-block;-webkit-box-sizing:border-box;box-sizing:border-box;border:0;outline:none;cursor:pointer;white-space:nowrap;text-decoration:none;background-color:transparent;font-family:inherit;font-size:inherit;padding:0}
.button-group._inline,.button-with-note>.button-dropdown{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}
a,abbr,acronym,address,applet,article,aside,audio,b,big,blockquote,body,canvas,caption,center,cite,code,dd,del,details,dfn,div,dl,dt,em,embed,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,header,hgroup,hr,html,i,iframe,img,ins,label,legend,li,mark,menu,nav,object,ol,output,p,pre,q,ruby,s,samp,section,small,span,strike,strong,sub,summary,sup,table,tbody,td,tfoot,th,thead,time,tr,tt,u,ul,var,video{margin:0;padding:0;border:0;font-size:100%;vertical-align:baseline}
article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}
body{line-height:1}
ol,ul{list-style:none}
blockquote,q{quotes:none}
blockquote:after,blockquote:before,q:after,q:before{content:"";content:none}
table{border-collapse:collapse;border-spacing:0}
.article-content{color:#343434;font-family:JetBrains Sans,Helvetica,Arial,sans-serif;font-size:14px;font-weight:400;line-height:25px}
.section-content._bg-extra-dark .article-content{color:#afb1b3}
.article-content h1{margin-top:70px;margin-bottom:50px;letter-spacing:-2px;color:#161616;font-size:44px;font-weight:700;line-height:45px}
.article-content h1._color-light{color:#fff}

.table._no-border>tbody>tr:first-child>td{border-top:0}
.table._no-border>tbody>tr>td{border-bottom:0}
.table._highlighted>tbody>tr:hover>td{background-color:#eaeaec}
.table._highlighted>tbody>tr:hover>td._no-highlighted{background-color:transparent}
.table._wide{width:100%}
body{text-rendering:optimizeLegibility;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}
.separator-top{border-top:1px solid rgba(39,40,44,.2);border-top:1px solid var(--wt-color-dark-20)}
.wt-article h1 b,.wt-article h1 strong,.wt-article h2 b,.wt-article h2 strong,.wt-article h3 b,.wt-article h3 strong,.wt-article h4 b,.wt-article h4 strong,.wt-article h5 b,.wt-article h5 strong,.wt-article h6 b,.wt-article h6 strong{font-weight:inherit}
.wt-article{word-wrap:normal}
.wt-article .licenseContent h5,.wt-article .licenseContent h6{margin-top:24px}
@media screen and (max-width:640px){.wt-article .licenseContent h5,.wt-article .licenseContent h6{margin-top:16px}
}.license-agreement-sidebar{margin-top:72px}
@media screen and (max-width:640px){.license-agreement-sidebar{margin-top:0}
}.licenseContent a{border-bottom-color:currentColor}
.licenseContent a:hover{border-bottom-color:transparent}
.license-comparison-table{width:100%;min-width:100%;overflow-x:auto}
.migrated-wt-img,.migrated-wt-img>img{display:inline-block;vertical-align:top}
.migrated-wt-img>img{-webkit-box-sizing:border-box;box-sizing:border-box;width:100%;max-width:100%}
:root{--jb-transition-xfast:100ms;--jb-transition-fast:300ms;--jb-transition-medium:500ms;--jb-z-index-base:0;--jb-z-index-wt-ui-step:500;--jb-z-index-tooltip:calc(var(--jb-z-index-base) + var(--jb-z-index-wt-ui-step));--jb-z-index-dropdown:calc(var(--jb-z-index-base) + 2*var(--jb-z-index-wt-ui-step));--jb-z-index-popup:calc(var(--jb-z-index-base) + 3*var(--jb-z-index-wt-ui-step));--jb-z-index-sidebar:calc(var(--jb-z-index-base) + 100);--jb-z-index-secondary-menu:calc(var(--jb-z-index-sidebar) + 10);--jb-z-index-main-menu:calc(var(--jb-z-index-secondary-menu) + 10);--jb-z-index-sidebar-active:calc(var(--jb-z-index-sidebar) + var(--jb-z-index-popup) - var(--jb-z-index-base));--jb-z-index-overlay:calc(var(--jb-z-index-sidebar-active) + 10);--jb-z-index-secondary-menu-active:calc(var(--jb-z-index-overlay) + 10);--jb-z-index-main-menu-active:calc(var(--jb-z-index-secondary-menu-active) + 10);--jb-z-index-anchors-toc:calc(var(--jb-z-index-main-menu-active) + 20)}
.jb-text-left{text-align:left}
.jb-text-right{text-align:right}
.jb-text-center{text-align:center}
.jb-text-justify{text-align:justify}
@media screen and (max-width:1540px){.jb-text-xlg-left{text-align:left}
.jb-text-xlg-right{text-align:right}
.jb-text-xlg-center{text-align:center}
.jb-text-xlg-justify{text-align:justify}
}@media screen and (max-width:1276px){.jb-text-lg-left{text-align:left}
.jb-text-lg-right{text-align:right}
.jb-text-lg-center{text-align:center}
.jb-text-lg-justify{text-align:justify}
}@media screen and (max-width:1000px){.jb-text-md-left{text-align:left}
.jb-text-md-right{text-align:right}
.jb-text-md-center{text-align:center}
.jb-text-md-justify{text-align:justify}
}@media screen and (max-width:640px){.jb-text-sm-left{text-align:left}
.jb-text-sm-right{text-align:right}
.jb-text-sm-center{text-align:center}
.jb-text-sm-justify{text-align:justify}
}.jb-text-nowrap{white-space:nowrap}
.jb-text-wrap{white-space:normal}
@media screen and (max-width:1540px){.jb-text-xlg-nowrap{white-space:nowrap}
.jb-text-xlg-wrap{white-space:normal}
}@media screen and (max-width:1276px){.jb-text-lg-nowrap{white-space:nowrap}
.jb-text-lg-wrap{white-space:normal}
}@media screen and (max-width:1000px){.jb-text-md-nowrap{white-space:nowrap}
.jb-text-md-wrap{white-space:normal}
}@media screen and (max-width:640px){.jb-text-sm-nowrap{white-space:nowrap}
.jb-text-sm-wrap{white-space:normal}
}.jb-text-lowercase{text-transform:lowercase}
.jb-text-uppercase{text-transform:uppercase}
.jb-text-capitalize{text-transform:capitalize}
.jb-text-line-through{text-decoration:line-through}
.jb-pointer-events-none{pointer-events:none}
.jb-image-fluid{-ms-flex-negative:0;max-width:100%}
.jb-vertical-flex{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start}
.jb-vertical-flex__grow{-webkit-box-flex:1;-ms-flex-positive:1;flex-grow:1;max-width:100%}
b,strong{font-size:inherit;font-weight:600}
small{font-size:70%}
hr{height:1px;border:0;background-color:#cccbcb}
code,kbd,pre,samp{font-family:Menlo,Monaco,Consolas,Courier New,monospace}
code{padding:2px 4px;background-color:#eaeaec;font-size:inherit}
pre{display:block;margin:0;word-wrap:break-word;word-break:break-all;font-size:13px;line-height:1.667}
pre code{padding:0;border-radius:0;white-space:pre-wrap;background-color:transparent;color:inherit;font-size:inherit}
.gif-player{position:relative;display:inline-block;vertical-align:top;cursor:pointer}
.gif-player:after,.gif-player:before{position:absolute;bottom:0;-webkit-box-sizing:border-box;box-sizing:border-box;height:50px;background-color:#161616;line-height:50px;-webkit-transition:all .3s;transition:all .3s;content:""}
.gif-player:after{width:50px;left:0;background-repeat:no-repeat;background-position:50% 50%;opacity:.8}
.gif-player:before{font-size:12px;font-weight:700;left:0;padding:0 15px 0 0;text-transform:uppercase;white-space:nowrap;color:#fff;opacity:0}
.gif-player:active:after,.gif-player:focus:after,.gif-player:hover:after{opacity:1;-webkit-transition:all .3s;transition:all .3s}
.gif-player:active:before,.gif-player:focus:before,.gif-player:hover:before{opacity:1;left:50px;-webkit-transition:all .3s;transition:all .3s}
.gif-player._show-screenshot-tour:before{content:"Screenshots Tour"}
.gif-player._active:after,.gif-player._active:before{display:none}
.gif-player__image{display:inline-block;vertical-align:top}
.gif-player img{width:100%}
body.fs-lightbox-lock,html.fs-lightbox-lock{min-width:320px!important}
.fs-lightbox._video .fs-lightbox-controls{display:none}
.fs-lightbox-image_container{margin-top:1px}
.page{position:relative;max-width:100%}
@media screen and (max-width:1780px){.page._has-page-sidebar-left._mobile .page__footer .wt-container,.page._has-page-sidebar-left._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left._mobile .page__header .wt-container,.page._has-page-sidebar-left .page__content .wt-container{margin-left:240px}
}@media screen and (max-width:1540px){.page._has-page-sidebar-left._mobile .page__footer .wt-container,.page._has-page-sidebar-left._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left._mobile .page__header .wt-container,.page._has-page-sidebar-left .page__content .wt-container{width:1000px;margin-left:auto}
}@media screen and (max-width:1050px){.page._has-page-sidebar-left._mobile .page__footer .wt-container,.page._has-page-sidebar-left._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left._mobile .page__header .wt-container,.page._has-page-sidebar-left .page__content .wt-container{padding-left:50px;padding-right:10px}
}@media screen and (max-width:1540px){.page._has-page-sidebar-left .page__content{-webkit-box-sizing:border-box;box-sizing:border-box;padding-left:240px}
}@media screen and (max-width:1240px){.page._has-page-sidebar-left .page__content{padding-left:0}
}@media screen and (max-width:1780px){.page._has-page-sidebar-left-v2 .page__content .wt-container,.page._has-page-sidebar-left-v2._mobile .page__footer .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header .wt-container{margin-left:244px}
}@media screen and (max-width:1540px){.page._has-page-sidebar-left-v2 .page__content .wt-container,.page._has-page-sidebar-left-v2._mobile .page__footer .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header .wt-container{width:1000px;margin-left:auto}
}@media screen and (max-width:1050px){.page._has-page-sidebar-left-v2 .page__content .wt-container,.page._has-page-sidebar-left-v2._mobile .page__footer .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header .wt-container{padding-left:50px;padding-right:10px}
}@media screen and (max-width:640px){.page._has-page-sidebar-left-v2 .page__content .wt-container,.page._has-page-sidebar-left-v2._mobile .page__footer .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header-placeholder .wt-container,.page._has-page-sidebar-left-v2._mobile .page__header .wt-container{padding-left:16px;padding-right:16px}
}@media screen and (max-width:1050px){.page._has-page-sidebar-left-v2 .page__content .wt-row_size_m,.page._has-page-sidebar-left-v2._mobile .page__footer .wt-row_size_m{margin-right:-10px}
}@media screen and (max-width:1540px){.page._has-page-sidebar-left-v2 .page__content{-webkit-box-sizing:border-box;box-sizing:border-box;padding-left:240px}
}@media screen and (max-width:1237px){.page._has-page-sidebar-left-v2 .page__content{padding-left:0}
}.page__header,.page__header-placeholder{position:relative;margin:0 auto;width:100%}
.page__header-language-suggestion{position:relative;z-index:1900}
.page__beam{position:absolute;left:0;right:0}
.page__content{position:relative;overflow:hidden;width:100%;max-width:100%}
.page._has-page-sidebar-left .page__content{background-color:#eaeaec}
.whatsnew-header__top{padding-top:75px;padding-bottom:100px}
@media screen and (max-width:640px){.whatsnew-header__top{padding-top:50px;padding-bottom:50px}
}.jb-stats-block{margin-top:50px}
@media screen and (max-width:640px){.jb-stats-block{margin-top:0;margin-bottom:75px;text-align:center}
}.jb-stats-block__title{margin-bottom:10px;font-weight:300;font-size:44px;line-height:45px}
.jb-stats-block__text{color:#afb1b3;font-size:16px;line-height:25px}
.not-supported-browser{font-size:18px;position:fixed;top:0;left:0;width:100%;height:100%;color:#fff;background-color:#161616;z-index:1001000}
.not-supported-browser__container{-webkit-box-sizing:border-box;box-sizing:border-box;position:relative;width:70%;max-width:1024px;min-width:640px;margin:200px auto;padding-left:200px}
.not-supported-browser__title{font-size:50px;line-height:50px;font-weight:700;margin-bottom:40px}
.not-supported-browser__logo{position:absolute;left:-50px;top:-40px}




.page{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;height:100%}
.page__footer,.page__header{-ms-flex-negative:0;flex-shrink:0}
.page__content{-webkit-box-flex:1;-ms-flex:1 0 auto;flex:1 0 auto}
.section-content{padding-top:10px;padding-bottom:100px}
.section-content._bg-extra-dark{color:#fff;background-color:#161616}
.section-content._bg-extra-dark .article-content{color:#fff}
.section-content._bg-dark{color:#b8bcbf;background-color:#3b3e43}
.section-content._bg-dark .article-content{color:#b8bcbf}
.section-content._bg-medium{background-color:#eaeaec}
.section-content._bg-extra-light{background-color:#fff}
.section-content._padding-top{padding-top:50px}
.section-content._in-text{margin:10px 0;padding:10px 20px}
.video-player{display:inline-block}
.video-player__video{-webkit-box-shadow:0 3px 25px 0 rgba(22,22,22,.15);box-shadow:0 3px 25px 0 rgba(22,22,22,.15);display:block;position:relative}
.video-player__video:after{position:absolute;top:50%;left:50%;opacity:.6;width:70px;height:70px;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);-webkit-transition:opacity .2s;transition:opacity .2s;background-image:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' preserveAspectRatio='xMidYMid' width='15' height='18' viewBox='0 0 15 18'%3E %3Cpath fill='%23fff' d='M-0.002,-0.001 L14.998,8.998 L-0.002,17.998 L-0.002,-0.001 Z' /%3E %3C/svg%3E");background-color:#000;background-repeat:no-repeat;background-position:50%;background-size:25px;content:""}
.video-player__video:hover:after{opacity:1}
.badge{font-weight:700;font-size:12px;font-family:JetBrains Sans,Helvetica,Arial,sans-serif;line-height:1;display:inline-block;padding:2px 8px;text-transform:uppercase;text-decoration:none;vertical-align:top;white-space:nowrap;letter-spacing:.5px;color:#fff;background-color:#f37021;border-radius:20px}
:root{--jb-page-sidebar-zindex:5;--jb-content-container-width-lg:996px;--jb-page-sidebar-vertical-unit:32px;--jb-page-sidebar-width:244px;--jb-page-sidebar-negative-width:-244px;--jb-page-sidebar-visible-panel-width:40px;--jb-page-sidebar-padding-horisontal:32px;--jb-page-sidebar-padding-vertical:32px;--jb-page-toggle-button-top:16px;--jb-page-sidebar-breakpoint:calc(var(--jb-content-container-width-lg) + var(--jb-page-sidebar-width) + 1)}
.jb-page-sidebar-v2{display:block;height:100%;-webkit-box-sizing:border-box;box-sizing:border-box;margin-bottom:32px;margin-bottom:var(--jb-page-sidebar-vertical-unit);background-color:#fff;background-color:var(--wt-color-white);-webkit-transition:margin-left .1s;transition:margin-left .1s;-webkit-transition:margin-left var(--jb-transition-xfast);transition:margin-left var(--jb-transition-xfast);font-family:system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,Droid Sans,Helvetica Neue,Arial,sans-serif;overflow:auto}
.jb-page-sidebar-v2._align-left-fixed{position:absolute;top:auto;left:0;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;overflow-y:auto;width:244px;width:var(--jb-page-sidebar-width);padding:32px 0;padding:var(--jb-page-sidebar-padding-vertical) 0;margin-bottom:0;z-index:5;z-index:var(--jb-page-sidebar-zindex);margin-left:0}
@media screen and (max-width:1237px){.jb-page-sidebar-v2._align-left-fixed{margin-left:-204px;margin-left:calc(-1*(var(--jb-page-sidebar-width) - var(--jb-page-sidebar-visible-panel-width)));padding:32px 64px 0 0;padding:var(--jb-page-sidebar-padding-vertical) calc(var(--jb-page-sidebar-padding-vertical)*2) 0 0;overflow:hidden}
.jb-page-sidebar-v2._align-left-fixed .jb-sidebar__toc-wrapper{width:0;display:none}
.jb-page-sidebar-v2._align-left-fixed._active{padding:32px 0;padding:var(--jb-page-sidebar-padding-vertical) 0}
.jb-page-sidebar-v2._align-left-fixed._active .jb-sidebar__toc-wrapper{width:auto;display:block;overflow:auto}
}@media screen and (max-width:640px){.jb-page-sidebar-v2._align-left-fixed{padding:8px 0;margin-left:-244px;margin-left:var(--jb-page-sidebar-negative-width);z-index:5;overflow:visible}
.jb-page-sidebar-v2._align-left-fixed._active{margin-left:0;z-index:5;position:fixed;overflow:auto;left:0;right:0;width:100%;height:100%}
}.jb-page-sidebar-v2._shadow{border-right:1px solid rgba(39,40,44,.2);border-right:1px solid var(--wt-color-dark-20)}
.jb-page-sidebar-v2._active{margin-left:0}
.jb-page-sidebar-v2_dark{background-color:#27282c;background-color:var(--wt-color-dark)}
.jb-page-sidebar-v2_dark._shadow{border-right:1px solid hsla(0,0%,100%,.3);border-right:1px solid var(--wt-color-white-30)}
@media screen and (max-width:640px){.jb-page-sidebar-v2_dark .jb-page-sidebar-v2__toggle-btn{border:1px solid hsla(0,0%,100%,.6);border:1px solid var(--wt-color-white-60);background-color:#27282c;background-color:var(--wt-color-dark)}
.jb-page-sidebar-v2_dark .jb-page-sidebar-v2__toggle-btn .sprite-img{fill:hsla(0,0%,100%,.6);fill:var(--wt-color-white-60)}
}.jb-page-sidebar-v2__title{font-size:15px;margin-top:0;padding-bottom:13px;border-bottom:1px solid rgba(39,40,44,.2)}
.jb-page-sidebar-v2._align-left-fixed .jb-page-sidebar-v2__title{font-weight:400;margin-bottom:15px;margin-top:-8px;margin-right:32px;margin-right:var(--jb-page-sidebar-padding-horisontal);padding-bottom:10px;opacity:0}
.jb-page-sidebar-v2._align-left-fixed._active .jb-page-sidebar-v2__title{opacity:1}
@media screen and (min-width:var(--jb-page-sidebar-breakpoint)){.jb-page-sidebar-v2__title{opacity:1!important}
}.jb-page-sidebar-v2__toggle-btn{display:none;z-index:5;z-index:var(--jb-page-sidebar-zindex);position:absolute;top:0;right:0;width:40px;height:40px;cursor:pointer}
@media screen and (max-width:1237px){.jb-page-sidebar-v2__toggle-btn{display:block;width:40px;height:100%}
.jb-page-sidebar-v2__toggle-btn svg._more_24{opacity:0}
}@media screen and (max-width:640px){.jb-page-sidebar-v2__toggle-btn{display:block;position:fixed;z-index:20000;bottom:16px;right:16px;top:auto;width:48px;height:48px;border:1px solid rgba(39,40,44,.4);border:1px solid var(--wt-color-dark-40);border-radius:50px;background-color:#fff;background-color:var(--wt-color-white);cursor:pointer}
.jb-page-sidebar-v2__toggle-btn svg{position:absolute;bottom:auto;width:50px;height:50px}
.jb-page-sidebar-v2__toggle-btn svg._hamburger{opacity:0;display:none}
.jb-page-sidebar-v2__toggle-btn svg._close{opacity:0}
.jb-page-sidebar-v2__toggle-btn svg._more_24{opacity:1;top:13px;left:11px;height:24px;width:24px}
}.jb-page-sidebar-v2__toggle-btn svg{position:absolute}
.jb-page-sidebar-v2__toggle-btn svg._hamburger{opacity:1;top:16px;right:10px;width:20px;height:20px}
.jb-page-sidebar-v2__toggle-btn svg._close{opacity:0}
.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn{display:none}
@media screen and (max-width:1237px){.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn{display:block;width:40px;height:40px}
.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn svg._close{opacity:1;top:10px;right:10px;width:20px;height:20px}
.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn svg._more_24{opacity:0;width:20px;height:20px}
}@media screen and (max-width:640px){.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn{display:block;width:50px;height:50px}
.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn svg._close{opacity:1;top:16px;right:16px}
}.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn svg._hamburger,.jb-page-sidebar-v2._active .jb-page-sidebar-v2__toggle-btn svg._more_24{opacity:0}
.sprite-img._hamburger{width:20px;height:16px;fill:#fff}
.sprite-img._hamburger._gray{fill:#696969}
.sprite-img._hamburger._light{fill:#b8bcbf}
.page-sidebar{display:block;-webkit-box-sizing:border-box;box-sizing:border-box;margin-bottom:50px;background-color:#fff;-webkit-transition:margin-left .3s;transition:margin-left .3s;font-family:system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen,Ubuntu,Cantarell,Droid Sans,Helvetica Neue,Arial,sans-serif}
.page-sidebar._align-left-fixed{position:absolute;top:auto;left:0;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;overflow-y:auto;width:240px;padding:25px 0 0 25px;margin-bottom:0;z-index:1000;margin-left:-200px}
.page-sidebar._align-left-fixed._mobile{position:fixed;top:0;bottom:0;z-index:10000}
.page-sidebar._shadow{border-right:1px solid rgba(39,40,44,.2)}
.page-sidebar._active{margin-left:0}
@media screen and (min-width:1241px){.page-sidebar{margin-left:0!important}
}.page-sidebar__title{font-size:15px;margin-top:0;padding-bottom:13px;border-bottom:1px solid rgba(39,40,44,.2)}
.page-sidebar._align-left-fixed .page-sidebar__title{font-weight:400;margin-bottom:15px;margin-top:-8px;margin-right:25px;padding-bottom:10px;opacity:0}
.page-sidebar._align-left-fixed._active .page-sidebar__title{opacity:1}
@media screen and (min-width:1241px){.page-sidebar__title{opacity:1!important}
}.page-sidebar__title-link,.page-sidebar__title-link:hover{color:#343434}
.page-sidebar__toggle-btn{position:absolute;top:25px;right:10px;width:20px;height:20px;cursor:pointer}
.page-sidebar__toggle-btn svg{position:absolute;top:0}
.page-sidebar__toggle-btn svg._hamburger{opacity:1}
.page-sidebar__toggle-btn svg._close{opacity:0}
.page-sidebar._active .page-sidebar__toggle-btn{display:none}
.page-sidebar._active .page-sidebar__toggle-btn svg._hamburger{opacity:0}
.page-sidebar._active .page-sidebar__toggle-btn svg._close{opacity:1}
@media screen and (min-width:1241px){.page-sidebar__toggle-btn{display:none!important}
}.page-sidebar__list{-webkit-box-sizing:border-box;box-sizing:border-box;-ms-flex-preferred-size:100%;flex-basis:100%}
.article-content .page-sidebar__list{padding-left:0}
.page-sidebar._align-left-fixed .page-sidebar__list{overflow-y:auto;opacity:0}
.page-sidebar._active .page-sidebar__list{opacity:1}
@media screen and (min-width:1241px){.page-sidebar__list{opacity:1!important}
}.page-sidebar__item{-webkit-box-sizing:border-box;box-sizing:border-box;border-bottom:1px solid #cccbcb}
.page-sidebar__item:before{display:none}
.article-content .page-sidebar__item{padding-left:0}
.page-sidebar._align-left-fixed .page-sidebar__item{padding-right:25px;margin:10px 0;border:none}
.page-sidebar__link{font-size:14px;font-weight:400;padding:10px 0;display:inline-block}
.page-sidebar._align-left-fixed .page-sidebar__link{font-size:12px;line-height:16px;display:block;padding:0;text-decoration:none;color:#696969}
.page-sidebar._align-left-fixed .page-sidebar__link._disabled{color:#18a3fa!important}
.page-sidebar._align-left-fixed .page-sidebar__link:hover{color:#0887d7}
.page-sidebar._align-left-fixed .page-sidebar__link:active,.page-sidebar._align-left-fixed .page-sidebar__link:focus{color:#0573b8}
.page-sidebar._align-left-fixed .page-sidebar__link._active{font-weight:700;color:#161616}
kbd{font-family:Menlo,Monaco,Consolas,Courier New,monospace;line-height:inherit;position:relative;-webkit-box-sizing:border-box;box-sizing:border-box;margin:0;padding:2px 6px 4px;white-space:nowrap;border-radius:3px;border:1px solid #cccbcb;color:#161616;background-color:#fff;-webkit-box-shadow:0 2px 0 -1px #fff,0 2px 0 #cccbcb;box-shadow:0 2px 0 -1px #fff,0 2px 0 #cccbcb}
.shortcut{font-family:JetBrains Sans,Helvetica,Arial,sans-serif;font-size:14px;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:start;-ms-flex-pack:start;justify-content:flex-start;-webkit-box-align:center;-ms-flex-align:center;align-items:center;color:#696969}
.shortcut._margin-bottom{margin-bottom:15px}
@media screen and (max-width:640px){.shortcut{font-size:12.6px}
}.shortcut__key{line-height:10px;display:block;-webkit-box-sizing:border-box;box-sizing:border-box;width:65px;height:65px;padding:15px;background:#fff;border:1px solid #cccbcb;border-radius:15px}
.shortcut__key._size-middle{width:84.5px}
@media screen and (max-width:640px){.shortcut__key._size-middle{width:71.5px}
}@media screen and (max-width:640px){.shortcut__key{width:52px;height:52px;padding:10px}
}.shortcut__symbol{padding:5px}
:root{--jb-menu-second-z-index:calc(var(--jb-overlay-z-index) + 5);--jb-menu-second-mobile-z-index:calc(var(--jb-overlay-z-index) + 4);--jb-menu-second-popup-z-index:calc(var(--jb-overlay-z-index) + 3);--jb-menu-main-mobile-height:47px}
.menu-second-skeleton-text-2{height:24px}
.menu-second-skeleton-button,.menu-second-skeleton-text-2{width:100%;background-color:rgba(39,40,44,.2);background-color:var(--wt-color-dark-20)}
.menu-second-skeleton-button{height:36px;border-radius:36px}
@media screen and (max-width:1000px){.body-adaptive .menu-second-desktop{display:none}
}.menu-second-mobile{position:relative;display:none;z-index:calc(var(--jb-overlay-z-index) + 4);z-index:var(--jb-menu-second-mobile-z-index);background-color:#fff;background-color:var(--wt-color-white)}
@media screen and (max-width:1000px){.menu-second-mobile{display:-webkit-box;display:-ms-flexbox;display:flex;height:47px;height:var(--jb-menu-main-mobile-height)}
}.menu-second-mobile._theme-dark{background-color:#27282c;background-color:var(--wt-color-dark)}
.menu-second-mobile__download-button{min-width:80px}
.menu-second-mobile__trigger{border:none;padding:0;background-color:transparent;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;outline:none}
.menu-second-mobile-popup__item._menu-second-mobile-popup__item-hidden{display:none}
.menu-second-mobile-popup{display:none;position:absolute;top:calc(100% + 1px);left:0;right:0;z-index:calc(var(--jb-overlay-z-index) + 3);z-index:var(--jb-menu-second-popup-z-index);width:100vw;max-height:calc(100vh - 240px);overflow-y:auto;background-color:#fff;background-color:var(--wt-color-white);border-bottom:1px solid rgba(39,40,44,.2);border-bottom:1px solid var(--wt-color-dark-20)}
@media screen and (max-width:1000px){.menu-second-mobile-popup{display:block}
}.menu-second-mobile-popup._theme-dark{background-color:#27282c;background-color:var(--wt-color-dark);border-top:1px solid #3c3d40;border-top:1px solid var(--wt-color-grey);border-bottom:1px solid #3c3d40;border-bottom:1px solid var(--wt-color-grey)}
.menu-second-mobile-popup__item:hover{text-decoration:none}
.menu-second._fixed .menu-second-mobile-popup{max-height:calc(100vh - 187px);max-height:calc(100vh - 140px - var(--jb-menu-main-mobile-height))}
.menu-second{line-height:72px;background-color:#fff;background-color:var(--wt-color-white);border-bottom:1px solid rgba(39,40,44,.2);border-bottom:1px solid var(--wt-color-dark-20);overflow:hidden;z-index:calc(var(--jb-overlay-z-index) + 5);z-index:var(--jb-menu-second-z-index);position:relative}
@media screen and (max-width:1000px){.menu-second{overflow:visible;z-index:1005}
.body-adaptive .menu-second{height:48px}
}.menu-second._theme-dark{background-color:#27282c;background-color:var(--wt-color-dark);border-top:1px solid #3c3d40;border-top:1px solid var(--wt-color-grey)}
.menu-second .menu-second-title-box__logo._fixed{-webkit-transform:translateY(0);transform:translateY(0);opacity:1;-webkit-transition:all .3s;transition:all .3s;-webkit-transition:all var(--jb-transition-fast);transition:all var(--jb-transition-fast);height:29px;width:114px}
.menu-second .menu-second-title-box__logo._fixed .sprite-img{width:100%;height:100%}
.menu-second .menu-second-title-box__logo._fixed+.menu-second-title-box__title{display:none;-webkit-transform:translateX(0);transform:translateX(0);-webkit-transition:-webkit-transform .1s;transition:-webkit-transform .1s;transition:transform .1s;transition:transform .1s,-webkit-transform .1s;transition:transform .1s,-webkit-transform .1s;-webkit-transition:-webkit-transform var(--jb-transition-xfast);transition:-webkit-transform var(--jb-transition-xfast);transition:transform var(--jb-transition-xfast);transition:transform var(--jb-transition-xfast),-webkit-transform var(--jb-transition-xfast);transition:transform var(--jb-transition-xfast),-webkit-transform var(--jb-transition-xfast)}
.menu-second .menu-second-title-box__logo._fixed._intellij-idea-text-20{height:36px;width:178px}
.menu-second-title-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;-ms-flex-wrap:nowrap;flex-wrap:nowrap;vertical-align:middle}
.menu-second-title-box:active,.menu-second-title-box:focus,.menu-second-title-box:hover{text-decoration:none}
.menu-second-title-box:focus[data-focus-method=key]{-webkit-box-shadow:rgba(22,125,255,.8) 0 0 0 4px;box-shadow:0 0 0 4px rgba(22,125,255,.8);-webkit-box-shadow:var(--wt-color-primary-light-theme-80) 0 0 0 4px;box-shadow:var(--wt-color-primary-light-theme-80) 0 0 0 4px}
.menu-second-title-box__logo{width:28px;height:28px;opacity:0;-webkit-transform:translateY(-100%);transform:translateY(-100%)}
.menu-second-title-box__logo+.menu-second-title-box__title{margin-left:20px;-webkit-transform:translateX(-50px);transform:translateX(-50px);white-space:nowrap}
.menu-second-title-box__logo._fixed{opacity:1}
.menu-second-title-box__logo._fixed,.menu-second-title-box__logo._fixed+.menu-second-title-box__title{-webkit-transform:none;transform:none}
.wt-row_size_0 .menu-second__download-button.wt-col-inline{min-width:130px;margin-left:8px}
.menu-second__outline-button{min-width:84px}
.menu-second__link{padding:24px 16px 23px 0;cursor:pointer}
.menu-second__link:active,.menu-second__link:focus,.menu-second__link:hover{border:none;text-decoration:none;color:#167dff;color:var(--wt-color-primary-light-theme)}
.menu-second__link:focus[data-focus-method=key]{-webkit-box-shadow:rgba(22,125,255,.8) 0 0 0 4px;box-shadow:0 0 0 4px rgba(22,125,255,.8);-webkit-box-shadow:var(--wt-color-primary-light-theme-80) 0 0 0 4px;box-shadow:var(--wt-color-primary-light-theme-80) 0 0 0 4px}
.menu-second__link._theme-dark:active,.menu-second__link._theme-dark:focus,.menu-second__link._theme-dark:hover{color:#fff;color:var(--wt-color-white);-webkit-transition:color .1s;transition:color .1s;-webkit-transition:color var(--jb-transition-xfast);transition:color var(--jb-transition-xfast)}
.menu-second__link-wrapper{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center}
.menu-second__link-icon{margin-left:4px}
.slide-down-enter{opacity:.01;-webkit-transform:translateY(-100%);transform:translateY(-100%)}
.slide-down-enter-active{-webkit-transition:all .1s ease-in;transition:all .1s ease-in;-webkit-transition:all var(--jb-transition-xfast) ease-in;transition:all var(--jb-transition-xfast) ease-in}
.slide-down-enter-active,.slide-down-exit{opacity:1;-webkit-transform:translateY(0);transform:translateY(0)}
.slide-down-exit-active{-webkit-transition:all .1s ease-in;transition:all .1s ease-in;-webkit-transition:all var(--jb-transition-xfast) ease-in;transition:all var(--jb-transition-xfast) ease-in}
.slide-down-appear,.slide-down-exit-active{opacity:.01;-webkit-transform:translateY(-100%);transform:translateY(-100%)}
.slide-down-appear.slide-down-appear-active{opacity:1;-webkit-transform:translateY(0);transform:translateY(0);-webkit-transition:all .1s ease-in;transition:all .1s ease-in;-webkit-transition:all var(--jb-transition-xfast) ease-in;transition:all var(--jb-transition-xfast) ease-in}
.violet-primary-color{--wt-color-primary-light-theme:#675ce9;--wt-color-primary-light-theme-80:rgba(103,92,233,0.8);--wt-color-primary-light-theme-20:rgba(103,92,233,0.2)}
.menu-item._menu-item-hidden{display:none}
.menu-item__dropdown-link:hover{text-decoration:none}